Error: BUILD_MAVEN_PACKAGE_ERROR en AEM Cloud Manager

Cada vez que encuentre un Build_Maven_Package_Error en Adobe Experience Manager Cloud Manager, se debe a un error de código. Esto se puede resolver actualizando la versión del nodo en un módulo fallido mediante npm (Administrador de paquetes de nodos).

Descripción description

Entorno

Adobe Experience Manager Cloud Manager

Problema/Síntomas

Cómo resolver el error: Build_Maven_Package_Error en AEM Cloud Manager?

19:19:53,214 [ main]  [ INFO]  ------------------------------------------------------------------------

    19:19:53,215 [ main]  [ INFO]  Reactor Summary for customer_name XXXX.XXX.XXXXXXX.XXXXXXXXXX:{}:

    19:19:53,215 [ main]  [ INFO]

    19:19:53,216 [ main]  [ INFO]  customer_name ...................................... SUCCESS [   3.600 s]

    19:19:53,217 [ main]  [ INFO]  customer_name - Core ............................... SUCCESS [  17.855 s]

    19:19:53,218 [ main]  [ INFO]  customer_name - UI Frontend ........................ FAILURE [ 01:16 min]

    19:19:53,218 [ main]  [ INFO]  customer_name – UI React ........................... SKIPPED

    19:19:53,218 [ main]  [ INFO]  customer_name - UI apps ............................ SKIPPED

    19:19:53,219 [ main]  [ INFO]  customer_name - UI content ......................... SKIPPED

    19:19:53,219 [ main]  [ INFO]  customer_name Project Package ...................... SKIPPED

    19:19:53,219 [ main]  [ INFO]  customer_name - Dispatcher ......................... SKIPPED

    19:19:53,220 [ main]  [ INFO]  ------------------------------------------------------------------------

    19:19:53,220 [ main]  [ INFO]  BUILD FAILURE

    19:19:53,220 [ main]  [ INFO]  ------------------------------------------------------------------------

    19:19:53,222 [ main]  [ INFO]  Total time:  01:41 min

    19:19:53,224 [ main]  [ INFO]  Finished at: 2023-02-07T19:19:53Z

    19:19:53,224 [ main]  [ INFO]  ------------------------------------------------------------------------

    19:19:53,226 [ main]  [ ERROR]  Failed to execute goal com.github.xxxxx:frontend-maven-plugin:1.7.6:npm (npm run prod) on project com.xyz.ui.frontend: Failed to run task: 'npm run prod' failed. org.apache.commons.exec.ExecuteException: Process exited with an error: 2 (Exit value: 2) ->[ Help 1]

    19:19:53,227 [ main]  [ ERROR]

ERROR en el ticket P2:

Pipeline Name: Production Pipeline

    Pipeline Status: FAILED

    Failure Caused By: CUSTOMER

    Failed Step: build

    Error Message: org.apache.commons.exec.ExecuteException: Process exited with an error: 1 (Exit value: 1)

Resolución resolution

Este error se debe a un problema de código que debe resolverse actualizando la versión del nodo en un módulo fallido con npm. Para realizar este cambio, siga estos pasos:

  1. Busque la versión del nodo que se está utilizando en el reactor pom.xml. Siguiente ejemplo = 16.14.0 pom.xml:

    code language-none
    <configuration>
            <nodeVersion>v16.14.0</nodeVersion>.
            <npmVersion>8.3.1</npmVersion>
        <configuration>
    
  2. Añada esta versión del nodo como devDependencies en el archivo package.json del módulo que no se pudo crear. En el ejemplo anterior, es front-end de la interfaz de usuario.

    ANTES - package.json:

    code language-none
    "devDependencies": {
        "@babel/core": "7.0.0",
        "@babel/plugin-proposal-class-properties": "7.3.3",
        "@babel/plugin-proposal-object-rest-spread": "7.3.2",
        "@material/tab-bar": "12.0.0",
        },
    

    DESPUÉS - package.json:

    code language-none
    "devDependencies": {
        "@types/node": "16.14.0",                          THIS LINE WAS ADDED
        "@babel/core": "7.0.0",
        "@babel/plugin-proposal-class-properties": "7.3.3",
        "@babel/plugin-proposal-object-rest-spread": "7.3.2",
        "@material/tab-bar": "12.0.0",
        },
    
recommendation-more-help
3d58f420-19b5-47a0-a122-5c9dab55ec7f